#
# spec file for package python-alabaster
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-alabaster
Version:        0.7.3
Release:        8.1
Summary:        Modified Kr Sphinx doc theme
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/bitprophet/alabaster
Source:         https://pypi.python.org/packages/source/a/alabaster/alabaster-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%prep
%setup -q -n alabaster-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}
%fdupes $RPM_BUILD_ROOT%{py_sitedir}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc README.rst LICENSE

%changelog
* Wed Jul  8 2015 cdenicolo@suse.com
- license update: BSD-3-Clause
  see LICENSE file.
* Thu Apr 23 2015 mcihar@suse.com
- Compatibility with SLE11
* Mon Apr 13 2015 alarrosa@suse.com
- Removed dependency with python-Sphinx to break a dependency loop when
  building python-Sphinx (which in turns, requires python-alabaster
  to be installed)
* Thu Apr  9 2015 termim@gmail.com
- copied from python3-alabaster
  * add fdupes check
* Sat Mar 21 2015 arun@gmx.de
- update to version 0.7.3:
  * Hide shadow related styles on bibliography elements, in addition
    to the earlier change re: border. Thanks again to Philippe Dessus.
* Sat Mar 14 2015 arun@gmx.de
- initial version
